Skip to main content
GET
/
v1
/
reddit
/
posts
/
{postId}
Get post
curl --request GET \
  --url https://api.konbiniapi.com/v1/reddit/posts/{postId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "@context": [
      "https://www.w3.org/ns/activitystreams#",
      "https://konbiniapi.com/ns/social#"
    ],
    "id": "https://www.reddit.com/r/programming/comments/post_1/launch_day/",
    "url": "https://www.reddit.com/r/programming/comments/post_1/launch_day/",
    "content": "We shipped Reddit support.",
    "likeCount": 93210,
    "entityId": "post_1",
    "name": "Launch day",
    "published": "2026-02-27T20:37:38.000Z",
    "isEdited": false,
    "isLocked": false,
    "isOriginal": false,
    "isPinned": false,
    "isSponsored": false,
    "isAdult": false,
    "isSpoiler": false,
    "isSearchable": true,
    "voteCount": 118,
    "commentCount": 15,
    "shareCount": 8,
    "attributedTo": {
      "id": "https://www.reddit.com/user/spez/",
      "url": "https://www.reddit.com/user/spez/",
      "entityId": "t2_4x25quk",
      "preferredUsername": "spez",
      "name": "Steve Huffman",
      "icon": {
        "type": "Image",
        "url": "https://i.redd.it/post1.png",
        "width": 1200,
        "height": 675
      },
      "role": "admin",
      "summary": "Reddit CEO",
      "published": "2005-12-08T07:46:43.000Z",
      "isVerified": true,
      "isEmployee": true,
      "isMod": false,
      "isPremium": false,
      "isSearchable": true,
      "isFollowable": true,
      "isAdult": false,
      "score": 999999,
      "postScore": 555555,
      "commentScore": 444444,
      "awarderScore": 123,
      "awardeeScore": 321,
      "status": "active",
      "image": {
        "type": "Image",
        "url": "https://i.redd.it/post1.png",
        "width": 1200,
        "height": 675
      }
    },
    "icon": {
      "type": "Image",
      "url": "https://i.redd.it/post1.png",
      "width": 1200,
      "height": 675
    },
    "image": [
      {
        "type": "Image",
        "url": "https://i.redd.it/post1.png",
        "width": 1200,
        "height": 675
      }
    ],
    "attachment": [
      {
        "type": "Image",
        "url": "https://i.redd.it/post1.png",
        "width": 1200,
        "height": 675
      }
    ],
    "tag": [
      {
        "type": "Tag",
        "name": "programming",
        "href": "https://www.reddit.com/r/programming/"
      }
    ],
    "quote": {
      "id": "https://www.reddit.com/r/programming/comments/post_1/launch_day/",
      "url": "https://www.reddit.com/r/programming/comments/post_1/launch_day/",
      "content": "We shipped Reddit support.",
      "likeCount": 93210,
      "entityId": "post_1",
      "name": "Launch day",
      "published": "2026-02-27T20:37:38.000Z",
      "isEdited": false,
      "isLocked": false,
      "isOriginal": false,
      "isPinned": false,
      "isSponsored": false,
      "isAdult": false,
      "isSpoiler": false,
      "isSearchable": true,
      "voteCount": 118,
      "commentCount": 15,
      "shareCount": 8,
      "attributedTo": {
        "id": "https://www.reddit.com/user/spez/",
        "url": "https://www.reddit.com/user/spez/",
        "entityId": "t2_4x25quk",
        "preferredUsername": "spez",
        "name": "Steve Huffman",
        "icon": {
          "type": "Image",
          "url": "https://i.redd.it/post1.png",
          "width": 1200,
          "height": 675
        },
        "role": "admin",
        "summary": "Reddit CEO",
        "published": "2005-12-08T07:46:43.000Z",
        "isVerified": true,
        "isEmployee": true,
        "isMod": false,
        "isPremium": false,
        "isSearchable": true,
        "isFollowable": true,
        "isAdult": false,
        "score": 999999,
        "postScore": 555555,
        "commentScore": 444444,
        "awarderScore": 123,
        "awardeeScore": 321,
        "status": "active",
        "image": {
          "type": "Image",
          "url": "https://i.redd.it/post1.png",
          "width": 1200,
          "height": 675
        }
      },
      "icon": {
        "type": "Image",
        "url": "https://i.redd.it/post1.png",
        "width": 1200,
        "height": 675
      },
      "image": [
        {
          "type": "Image",
          "url": "https://i.redd.it/post1.png",
          "width": 1200,
          "height": 675
        }
      ],
      "attachment": [
        {
          "type": "Image",
          "url": "https://i.redd.it/post1.png",
          "width": 1200,
          "height": 675
        }
      ],
      "tag": [
        {
          "type": "Tag",
          "name": "programming",
          "href": "https://www.reddit.com/r/programming/"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.konbiniapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Send your API key in the Authorization header as a Bearer token. Example: Authorization: Bearer <your-api-key>

Path Parameters

postId
string
required

Reddit post ID (e.g. 1tgywrw or t3_1tgywrw)

Example:

"1tgywrw"

Response

Returns the Reddit post

data
object
required